View Issue Details

IDProjectCategoryView StatusLast Update
0020321mantisbtemailpublic2015-12-20 04:32
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-beta.3 
Target Version1.3.0-rc.1Fixed in Version1.3.0-rc.1 
Summary0020321: Re-assigned issues don't trigger 'owner' notifications
Description

When an issue is re-assigned to a different person, this should be triggered as an 'owner' notification rather than an issue 'update'. It should also include the previous owner in the notification.

TagsNo tags attached.

Relationships

related to 0019731 closedvboctor Notify user when they are unassigned a bug 
has duplicate 0003589 closedvboctor Previous handlers not notified of change of assignment 

Activities

Related Changesets

MantisBT: master 907b0ce6

2015-11-28 02:05:07

vboctor

Details Diff
Fix email notifications for re-assign / unassign

- When an issue is unassigned, trigger an "unassigned" notification and
include the user that was unassigned.
- When an issue is re-assigned, trigger an "owner" change notification,
rather than issue update.

Fixes 0019731
Fixes 0020321
mod - bug_update.php Diff File
mod - core/bug_api.php Diff File
mod - core/email_api.php Diff File
mod - lang/strings_english.txt Diff File

Issue History

Date Modified Username Field Change
2015-11-28 01:59 vboctor New Issue
2015-11-28 01:59 vboctor Status new => assigned
2015-11-28 01:59 vboctor Assigned To => vboctor
2015-11-28 02:06 vboctor Note Added: 0051957
2015-11-28 03:32 vboctor Category bugtracker => email
2015-11-28 15:50 dregad Relationship added related to 0019731
2015-11-28 22:27 vboctor Changeset attached => MantisBT master 907b0ce6
2015-11-28 22:27 vboctor Status assigned => resolved
2015-11-28 22:27 vboctor Resolution open => fixed
2015-11-28 22:27 vboctor Fixed in Version => 1.3.0-rc.1
2015-12-06 02:45 vboctor Status resolved => closed
2015-12-19 18:09 vboctor Relationship added has duplicate 0003589
2015-12-20 04:32 dregad Summary Re-assigned issues are don't trigger 'owner' notifications => Re-assigned issues don't trigger 'owner' notifications